package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF175Response {

    @Parameter(name = "AAAdresat")
    String aAAdresat();

    @Parameter(name = "AACO")
    String aaco();

    @Parameter(name = "AACP")
    String aacp();

    @Parameter(name = "AACtvrt")
    String aACtvrt();

    @Parameter(name = "AAObec")
    String aAObec();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPosta")
    String aAPosta();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AAZeme")
    String aAZeme();

    @Parameter(name = "BeznyZustatek")
    Double beznyZustatek();

    @Parameter(name = "CastkaPrecerpani")
    Double castkaPrecerpani();

    @Parameter(name = "DatumOtevreni")
    java.util.Date datumOtevreni();

    @Parameter(name = "DatumOtevreniDPC")
    java.util.Date datumOtevreniDPC();

    @Parameter(name = "DatumPocatkuDebetu")
    java.util.Date datumPocatkuDebetu();

    @Parameter(name = "DatumPocatkuKreditu")
    java.util.Date datumPocatkuKreditu();

    @Parameter(name = "DatumPosledniZmeny")
    java.util.Date datumPosledniZmeny();

    @Parameter(name = "DatumSchvaleni")
    java.util.Date datumSchvaleni();

    @Parameter(name = "DatumSplaceni")
    java.util.Date datumSplaceni();

    @Parameter(name = "DatumUzavreni")
    java.util.Date datumUzavreni();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "MesicniObratyCR")
    Double mesicniObratyCR();

    @Parameter(name = "MesicniObratyDB")
    Double mesicniObratyDB();

    @Parameter(name = "ObchodniMistoKod")
    String obchodniMistoKod();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "ObjektUveru")
    String objektUveru();

    @Parameter(name = "PausalniPoplatek")
    Double pausalniPoplatek();

    @Parameter(name = "PocetDni")
    Long pocetDni();

    @Parameter(name = "PoplatkovyPlan")
    String poplatkovyPlan();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "ProduktKod")
    String produktKod();

    @Parameter(name = "ProduktNazev")
    String produktNazev();

    @Parameter(name = "SankcniSazba")
    Double sankcniSazba();

    @Parameter(name = "SankcniUrok")
    Double sankcniUrok();

    @Parameter(name = "SpecialniNabidka")
    String specialniNabidka();

    @Parameter(name = "StavRamce")
    String stavRamce();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypKontokorentu")
    String typKontokorentu();

    @Parameter(name = "TypPausalnihoPoplatku")
    String typPausalnihoPoplatku();

    @Parameter(name = "TypPoplatkovehoPlanu")
    Double typPoplatkovehoPlanu();

    @Parameter(name = "TypPosledniZmeny")
    String typPosledniZmeny();

    @Parameter(name = "UrokZaCerpaniKontokorentu")
    Double urokZaCerpaniKontokorentu();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VyseCerpani")
    Double vyseCerpani();

    @Parameter(name = "VyseRamce")
    Double vyseRamce();

}